## nfdump 1.6.2

=== debian/changelog ===
nfdump (1.6.2-1) unstable; urgency=low

  * [23edbd27] Imported Upstream version 1.6.2
  * [05752327] changed to quilt patch system
  * [5bd30afe] [debian/copyright] included upstreams bsd license and
    removed link to standard bsd license as lintian suggests

 -- Erik Wenzel <erik@debian.org>  Fri, 01 Oct 2010 16:49:36 +0200

nfdump (1.6.1-1) unstable; urgency=low

  * [d3a4ca64] Imported Upstream version 1.6.1
  * [f71782c6] [init.d] add remote_fs
  * [15199559] [control] bumped standards version. nothing changed

 -- Erik Wenzel <erik@debian.org>  Sun, 14 Mar 2010 01:17:52 +0100

nfdump (1.6-1) unstable; urgency=low

  * [85b1631d] Import from tar version 1.6 because of upstream merge
    conflicts
  * [804a4fab] [rules] added compatibility mode for 1.5
  * [491342e6] [rules] added non-default nfprofile option

 -- Erik Wenzel <erik@debian.org>  Sat, 16 Jan 2010 01:19:34 +0100

nfdump (1.5.8-2) unstable; urgency=low

  * [c2ee06bf] [init.d] changed exit code handling (Closes: 534559)
  * [15396d53] [control] changed section for dbg package to debug
  * [5c087d4d] [control] bumped standards version

 -- Erik Wenzel <erik@debian.org>  Mon, 26 Oct 2009 00:03:16 +0100

nfdump (1.5.8-1) unstable; urgency=low

  * [cd191141] [control] added build-depends to librrd-dev
  * [6a54fb1c] [init.d] fixed exit code handling in restart case
  * [fc53c30b] [watch] tighten rule to exclude snapshot releases
  * [4e5cfe3e] Imported Upstream version 1.5.8
  * [77382372] [control] bumped standard versions (nothing changed)

 -- Erik Wenzel <erik@debian.org>  Mon, 27 Jul 2009 23:17:16 +0200

nfdump (1.5.7+20081221-3) unstable; urgency=low

  * [7f7122f1] [init.d] fixed typo which led to a unusable script

 -- Erik Wenzel <erik@debian.org>  Mon, 02 Feb 2009 21:36:52 +0100

nfdump (1.5.7+20081221-2) unstable; urgency=low

  * [a2d2c942] added pidfile option to daemon args (Closes: 484526) -
    thanks to Jorik Jonker <jorik@kippendief.biz> Remco Post
    <remco@pipsworld.nl>
  * [68397ec4] added nfcapd control mode and is enabled by default

 -- Erik Wenzel <erik@debian.org>  Mon, 02 Feb 2009 14:49:15 +0100

nfdump (1.5.7+20081221-1) unstable; urgency=low

  * [3776e2b4] disabled nostrip build option
  * [ef42d53e] Imported Upstream version snapshot-1.5.7-20081221
  * [153e86f2] [patch] removed 0005_division-zero-generic2
  * [bd492712] renamed debian.source to README.source
  * [e1b7ad5c] [control] added misc depends
  * [016d4774] updated README.source
  * [e25b8eb2] [changelog] removed latest revision entry

 -- Erik Wenzel <erik@debian.org>  Tue, 27 Jan 2009 04:29:01 +0100

nfdump (1.5.7-5) unstable; urgency=low

  * start daemon with DATA_BASE_DIR set to /var/cache/nfdump Closes: #497452
  * git-active-patches: added 0005_division-zero-generic2
  * git-active-patches: removed 0005_division-zero-generic
  * git-active-patches: removed -05_division-by-zero

 -- Erik Wenzel <erik@debian.org>  Mon, 08 Sep 2008 00:55:36 +0000

nfdump (1.5.7-4) unstable; urgency=low

  * added feature "refresh patches" which creates patches from git
    feature branches actived in debian/git-active-patches
  * README.Debian: documented installed patches in packet
  * debian.source: added. As documentation on building the packages

 -- Erik Wenzel <erik@debian.org>  Fri, 18 Jul 2008 12:24:53 +0000

nfdump (1.5.7-3) unstable; urgency=low

  * bumped Standards-Version
  * debian/{init.d,README.Debian} accidenly removed from
    package (Closes: #484519)

 -- Erik Wenzel <erik@debian.org>  Sat, 28 Jun 2008 22:12:29 +0000

nfdump (1.5.7-2) unstable; urgency=low

  * added compat
  * added DebTags
  * added watch file
  * fixed build-dependencies

 -- Erik Wenzel <erik@debian.org>  Thu, 27 Mar 2008 21:52:06 +0000

nfdump (1.5.7-1) unstable; urgency=low

  * New upstream release

 -- Erik Wenzel <erik@debian.org>  Tue, 18 Mar 2008 12:45:17 +0000

nfdump (1.5.6-1) unstable; urgency=low

  * Updated to new upstream version
  * [control] removed dep to dpatch
  * [rules] added nfprofile
  * [control] added dependency for librrd2-dev
  * [control] Standards-Version bumped to 3.7.3 (nothing changed)

 -- Erik Wenzel <erik@debian.org>  Thu, 17 Jan 2008 06:26:37 +0000

nfdump (1.5.5-1) unstable; urgency=low

  * New Upstream Version
  * removed unused patches
  * removed debian/examples
  * this version was not released

 -- Erik Wenzel <erik@debian.org>  Fri, 21 Dec 2007 11:15:05 +0000

nfdump (1.5.2-6) unstable; urgency=low

  * included ISC Licence text in debian/copyright

 -- Erik Wenzel <erik@debian.org>  Fri, 12 Jan 2007 09:16:27 +0000

nfdump (1.5.2-5) unstable; urgency=low

  * removed dpatch version from debian/control

 -- Erik Wenzel <erik@debian.org>  Tue,  9 Jan 2007 21:39:12 +0000

nfdump (1.5.2-4) unstable; urgency=low

  * updated debian/copyright

 -- Erik Wenzel <erik@debian.org>  Sat, 30 Dec 2006 19:47:29 +0000

nfdump (1.5.2-3) unstable; urgency=low

  * Added my self to maintainer in debian/control [Erik Wenzel]

 -- Erik Wenzel <erik@debian.org>  Sat,  2 Dec 2006 16:46:53 +0100

nfdump (1.5.2-2) unstable; urgency=low

  * added init script using lsb-base functions
  * updated description in control file
  * using dpatch
  * [10_remove_nfclean_from_usr-bin]: install nfclean.pl into doc/examples
    using. Added a note in README.Debian
  * enabled compat14 mode in debian/rules
  * [20_flow_tools_dev_path] changes path lib and include directories. This is
    only needed when you use DEB_CONFIGURE_EXTRA_FLAGS += --enable-ftconv and
    is currently disabled.

 -- Erik Wenzel <erik@debian.org>  Sat,  2 Dec 2006 16:20:29 +0100

nfdump (1.5.2-1) unstable; urgency=low

  * Initial release. (Closes: #322870)

 -- Erik Wenzel <erik@debian.org>  Fri, 27 Oct 2006 14:32:11 +0200

=== debian/rules ===
#!/usr/bin/make -f

#DEB_BUILD_OPTIONS=nostrip

include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/makefile.mk

# Enable extra configure flags

# Enable compatability mode
DEB_CONFIGURE_EXTRA_FLAGS +=--enable-compat15 --enable-nfprofile

# Build nfdump with nfprofile for nfsen
# --enable-nfprofile

# Build ft2nfdump converter. The flow-tools 
# sources are required to build ft2nfdump.
# --enable-ftconv 
# --with-ftpath[=flow-tools sources]
 
# When using SUNWspro CC on Solaris, you may 
# compile 64 bit code. 
# --enable-64
#
# Build sflow collector daemon.
# --enable-sflow

# define clean taget
DEB_MAKE_CLEAN_TARGET = distclean

# That will avoid passing CFLAGS
DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/nfdump/

# this is temporarily needed because of a cdbs issue
#unpatch: deapply-dpatches

# I store every patch in a seperate branch and use refresh-patches to generate
# patches used by debian package. THIS IS JUST A TEMPLATE STOLEN from
# tokyocabinet package.
refresh-patches: 
	@dh_testdir
	@echo 'refreshing debian/patches:'
	@rm -rf '$(CURDIR)'/debian/patches
	@mkdir -p '$(CURDIR)'/debian/patches
	cd '$(CURDIR)'/debian/patches && \
	for each in `cat ../git-active-patches | egrep -v '^#|^ *$$' | sort` ; do \
		git diff upstream..upstream-patches/`echo $$each | cut -d_ -f2-` > $$each.patch; \
	done
	@echo .
#
#patch: patch-stamp 
#patch-stamp:
#	dh_testdir
#	set -e; test -e patch-stamp || \
#		for i in `ls -1 debian/patches/*.patch || :`; do patch -p1 <$$i > /dev/null; done
#	touch $@
#
#unpatch:
#	dh_testdir
#	set -e; ! test -e patch-stamp || \
#		for i in `ls -1r debian/patches/*.patch || :`; do patch -p1 -R <$$i > /dev/null; done
#	rm -f patch-stamp

=== debian/watch ===
version=3
http://sf.net/nfdump/nfdump-([\d.]+)\.tar\.gz debian uupdate

## nfdump 1.6.8p1

=== Makefile ===
# Makefile.in generated by automake 1.12 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/nfdump
pkgincludedir = $(includedir)/nfdump
pkglibdir = $(libdir)/nfdump
pkglibexecdir = $(libexecdir)/nfdump
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
	compile depcomp install-sh missing ylwrap
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	cscope distdir dist dist-all distcheck
ETAGS = etags
CTAGS = ctags
CSCOPE = cscope
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
am__post_remove_distdir = $(am__remove_distdir)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
DIST_TARGETS = dist-gzip
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run aclocal-1.12
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run autoconf
AUTOHEADER = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run automake-1.12
AWK = awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wmissing-noreturn -fno-strict-aliasing
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = \c
ECHO_N = 
ECHO_T = 
EGREP = /usr/bin/grep -E
EXEEXT = 
FTS_OBJ = 
FT_INCLUDES = 
FT_LDFLAGS = 
GREP = /usr/bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LFLAGS = -i
LIBOBJS =  ${LIBOBJDIR}mktime$U.o ${LIBOBJDIR}lstat$U.o
LIBS =  -lresolv
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo ${LIBOBJDIR}lstat$U.lo
MAKEINFO = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run makeinfo
MKDIR_P = ./install-sh -c -d
OBJEXT = o
PACKAGE = nfdump
PACKAGE_BUGREPORT = phaag@users.sourceforge.net
PACKAGE_NAME = nfdump
PACKAGE_STRING = nfdump 1.6.8p1 $Date: 2012-11-10 12:40:54 +0100 (Sat, 10 Nov 2012) $
PACKAGE_TARNAME = nfdump
PACKAGE_URL = 
PACKAGE_VERSION = 1.6.8p1 $Date: 2012-11-10 12:40:54 +0100 (Sat, 10 Nov 2012) $
PATH_SEPARATOR = :
RRD_LIBS = 
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 1.6.8p1 $Date: 2012-11-10 12:40:54 +0100 (Sat, 10 Nov 2012) $
YACC = bison -y
YFLAGS = 
abs_builddir = /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1
abs_srcdir = /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1
abs_top_builddir = /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1
abs_top_srcdir = /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(top_builddir)/./install-sh -c -d
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = 
top_builddir = .
top_srcdir = .
SUBDIRS = . bin man
EXTRA_dist = CreateSubHierarchy.pl
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
	@if test ! -f $@; then rm -f stamp-h1; else :; fi
	@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done
cscopelist-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) cscopelist); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

=== bin/Makefile ===
# Makefile.in generated by automake 1.12 from Makefile.am.
# bin/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/nfdump
pkgincludedir = $(includedir)/nfdump
pkglibdir = $(libdir)/nfdump
pkglibexecdir = $(libexecdir)/nfdump
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = nfcapd$(EXEEXT) nfdump$(EXEEXT) nfreplay$(EXEEXT) \
	nfexpire$(EXEEXT) nfanon$(EXEEXT) $(am__EXEEXT_1) \
	$(am__EXEEXT_2) $(am__EXEEXT_3) $(am__EXEEXT_4)
EXTRA_PROGRAMS = nftest$(EXEEXT) nfgen$(EXEEXT) nfreader$(EXEEXT)
TESTS = nftest$(EXEEXT) test.sh
#am__append_1 = sfcapd
#am__append_2 = nfprofile
#am__append_3 = nftrack
#am__append_4 = ft2nfdump
#am__append_5 = pcap_reader.c pcap_reader.h
#am__append_6 = pcap_reader.c pcap_reader.h
subdir = bin
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/depcomp $(top_srcdir)/ylwrap grammar.c grammar.h \
	scanner.c
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
#am__EXEEXT_1 = sfcapd$(EXEEXT)
#am__EXEEXT_2 = nfprofile$(EXEEXT)
#am__EXEEXT_3 = nftrack$(EXEEXT)
#am__EXEEXT_4 = ft2nfdump$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__ft2nfdump_SOURCES_DIST = ft2nfdump.c nf_common.c nf_common.h \
	version.h minilzo.c minilzo.h lzoconf.h lzodefs.h nffile.c \
	nffile.h nfx.c nfx.h nfxstat.h nfxstat.c util.c util.h
am__objects_1 = ft2nfdump-nf_common.$(OBJEXT)
am__objects_2 = ft2nfdump-minilzo.$(OBJEXT) ft2nfdump-nffile.$(OBJEXT) \
	ft2nfdump-nfx.$(OBJEXT) ft2nfdump-nfxstat.$(OBJEXT)
am__objects_3 = ft2nfdump-util.$(OBJEXT)
#am_ft2nfdump_OBJECTS = ft2nfdump-ft2nfdump.$(OBJEXT) \
#	$(am__objects_1) $(am__objects_2) \
#	$(am__objects_3)
ft2nfdump_OBJECTS = $(am_ft2nfdump_OBJECTS)
ft2nfdump_DEPENDENCIES =
ft2nfdump_LINK = $(CCLD) $(ft2nfdump_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__objects_4 = util.$(OBJEXT)
am__objects_5 = minilzo.$(OBJEXT) nffile.$(OBJEXT) nfx.$(OBJEXT) \
	nfxstat.$(OBJEXT)
am__objects_6 = flist.$(OBJEXT) fts_compat.$(OBJEXT)
am__objects_7 = panonymizer.$(OBJEXT) rijndael.$(OBJEXT)
am_nfanon_OBJECTS = nfanon.$(OBJEXT) $(am__objects_4) $(am__objects_5) \
	$(am__objects_6) $(am__objects_7)
nfanon_OBJECTS = $(am_nfanon_OBJECTS)
nfanon_LDADD = $(LDADD)
nfanon_DEPENDENCIES =
am__nfcapd_SOURCES_DIST = nfcapd.c nf_common.c nf_common.h version.h \
	util.c util.h minilzo.c minilzo.h lzoconf.h lzodefs.h nffile.c \
	nffile.h nfx.c nfx.h nfxstat.h nfxstat.c flist.c flist.h \
	fts_compat.c fts_compat.h nfstatfile.c nfstatfile.h launch.c \
	launch.h nfnet.c nfnet.h collector.c collector.h netflow_v1.c \
	netflow_v1.h netflow_v5_v7.c netflow_v5_v7.h netflow_v9.c \
	netflow_v9.h ipfix.c ipfix.h bookkeeper.c bookkeeper.h \
	expire.c expire.h pcap_reader.c pcap_reader.h
am__objects_8 = nfcapd-nf_common.$(OBJEXT)
am__objects_9 = nfcapd-util.$(OBJEXT)
am__objects_10 = nfcapd-minilzo.$(OBJEXT) nfcapd-nffile.$(OBJEXT) \
	nfcapd-nfx.$(OBJEXT) nfcapd-nfxstat.$(OBJEXT)
am__objects_11 = nfcapd-flist.$(OBJEXT) nfcapd-fts_compat.$(OBJEXT)
am__objects_12 = nfcapd-nfstatfile.$(OBJEXT)
am__objects_13 = nfcapd-launch.$(OBJEXT)
am__objects_14 = nfcapd-nfnet.$(OBJEXT)
am__objects_15 = nfcapd-collector.$(OBJEXT)
am__objects_16 = nfcapd-netflow_v1.$(OBJEXT)
am__objects_17 = nfcapd-netflow_v5_v7.$(OBJEXT)
am__objects_18 = nfcapd-netflow_v9.$(OBJEXT)
am__objects_19 = nfcapd-ipfix.$(OBJEXT)
am__objects_20 = nfcapd-bookkeeper.$(OBJEXT)
am__objects_21 = nfcapd-expire.$(OBJEXT)
#am__objects_22 = nfcapd-pcap_reader.$(OBJEXT)
am_nfcapd_OBJECTS = nfcapd-nfcapd.$(OBJEXT) $(am__objects_8) \
	$(am__objects_9) $(am__objects_10) $(am__objects_11) \
	$(am__objects_12) $(am__objects_13) $(am__objects_14) \
	$(am__objects_15) $(am__objects_16) $(am__objects_17) \
	$(am__objects_18) $(am__objects_19) $(am__objects_20) \
	$(am__objects_21) $(am__objects_22)
nfcapd_OBJECTS = $(am_nfcapd_OBJECTS)
nfcapd_DEPENDENCIES =
nfcapd_LINK = $(CCLD) $(nfcapd_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__objects_23 = nf_common.$(OBJEXT)
am__objects_24 = nflowcache.$(OBJEXT)
am__objects_25 = grammar.$(OBJEXT) scanner.$(OBJEXT) nftree.$(OBJEXT) \
	ipconv.$(OBJEXT)
am__objects_26 = nfprof.$(OBJEXT)
am__objects_27 = exporter.$(OBJEXT)
am_nfdump_OBJECTS = nfdump.$(OBJEXT) nfstat.$(OBJEXT) \
	nfexport.$(OBJEXT) $(am__objects_23) $(am__objects_24) \
	$(am__objects_4) $(am__objects_5) $(am__objects_6) \
	$(am__objects_25) $(am__objects_26) $(am__objects_27)
nfdump_OBJECTS = $(am_nfdump_OBJECTS)
nfdump_LDADD = $(LDADD)
nfdump_DEPENDENCIES =
am__objects_28 = bookkeeper.$(OBJEXT)
am__objects_29 = expire.$(OBJEXT)
am__objects_30 = nfstatfile.$(OBJEXT)
am_nfexpire_OBJECTS = nfexpire.$(OBJEXT) $(am__objects_28) \
	$(am__objects_29) $(am__objects_4) $(am__objects_30)
nfexpire_OBJECTS = $(am_nfexpire_OBJECTS)
nfexpire_DEPENDENCIES =
am_nfgen_OBJECTS = nfgen.$(OBJEXT) $(am__objects_4) $(am__objects_5) \
	$(am__objects_6)
nfgen_OBJECTS = $(am_nfgen_OBJECTS)
nfgen_LDADD = $(LDADD)
nfgen_DEPENDENCIES =
am_nfprofile_OBJECTS = nfprofile.$(OBJEXT) profile.$(OBJEXT) \
	$(am__objects_23) $(am__objects_4) $(am__objects_5) \
	$(am__objects_6) $(am__objects_25) $(am__objects_30) \
	$(am__objects_27)
nfprofile_OBJECTS = $(am_nfprofile_OBJECTS)
nfprofile_DEPENDENCIES =
am_nfreader_OBJECTS = nfreader.$(OBJEXT) $(am__objects_4) \
	$(am__objects_5) $(am__objects_6) $(am__objects_27)
nfreader_OBJECTS = $(am_nfreader_OBJECTS)
nfreader_LDADD = $(LDADD)
nfreader_DEPENDENCIES =
am__objects_31 = nfnet.$(OBJEXT)
am__objects_32 = collector.$(OBJEXT)
am__objects_33 = netflow_v1.$(OBJEXT)
am__objects_34 = netflow_v9.$(OBJEXT)
am__objects_35 = netflow_v5_v7.$(OBJEXT)
am__objects_36 = ipfix.$(OBJEXT)
am_nfreplay_OBJECTS = nfreplay.$(OBJEXT) $(am__objects_23) \
	$(am__objects_4) $(am__objects_5) $(am__objects_6) \
	$(am__objects_25) $(am__objects_26) $(am__objects_31) \
	$(am__objects_32) $(am__objects_33) $(am__objects_34) \
	$(am__objects_35) $(am__objects_36) $(am__objects_27)
nfreplay_OBJECTS = $(am_nfreplay_OBJECTS)
nfreplay_LDADD = $(LDADD)
nfreplay_DEPENDENCIES =
am_nftest_OBJECTS = nftest.$(OBJEXT) $(am__objects_23) \
	$(am__objects_25) $(am__objects_5)
nftest_OBJECTS = $(am_nftest_OBJECTS)
nftest_LDADD = $(LDADD)
am__objects_37 = nftrack-nf_common.$(OBJEXT)
am__objects_38 = nftrack-util.$(OBJEXT)
am__objects_39 = nftrack-minilzo.$(OBJEXT) nftrack-nffile.$(OBJEXT) \
	nftrack-nfx.$(OBJEXT) nftrack-nfxstat.$(OBJEXT)
am__objects_40 = nftrack-flist.$(OBJEXT) nftrack-fts_compat.$(OBJEXT)
am__objects_41 = nftrack-grammar.$(OBJEXT) nftrack-scanner.$(OBJEXT) \
	nftrack-nftree.$(OBJEXT) nftrack-ipconv.$(OBJEXT)
am_nftrack_OBJECTS = nftrack-nftrack.$(OBJEXT) \
	nftrack-nftrack_rrd.$(OBJEXT) nftrack-nftrack_stat.$(OBJEXT) \
	$(am__objects_37) $(am__objects_38) $(am__objects_39) \
	$(am__objects_40) $(am__objects_41)
nftrack_OBJECTS = $(am_nftrack_OBJECTS)
nftrack_DEPENDENCIES =
nftrack_LINK = $(CCLD) $(nftrack_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
am__sfcapd_SOURCES_DIST = sfcapd.c sflow.c sflow.h sflow_proto.h \
	nf_common.c nf_common.h version.h util.c util.h minilzo.c \
	minilzo.h lzoconf.h lzodefs.h nffile.c nffile.h nfx.c nfx.h \
	nfxstat.h nfxstat.c flist.c flist.h fts_compat.c fts_compat.h \
	nfstatfile.c nfstatfile.h launch.c launch.h nfnet.c nfnet.h \
	collector.c collector.h bookkeeper.c bookkeeper.h expire.c \
	expire.h pcap_reader.c pcap_reader.h
am__objects_42 = sfcapd-nf_common.$(OBJEXT)
am__objects_43 = sfcapd-util.$(OBJEXT)
am__objects_44 = sfcapd-minilzo.$(OBJEXT) sfcapd-nffile.$(OBJEXT) \
	sfcapd-nfx.$(OBJEXT) sfcapd-nfxstat.$(OBJEXT)
am__objects_45 = sfcapd-flist.$(OBJEXT) sfcapd-fts_compat.$(OBJEXT)
am__objects_46 = sfcapd-nfstatfile.$(OBJEXT)
am__objects_47 = sfcapd-launch.$(OBJEXT)
am__objects_48 = sfcapd-nfnet.$(OBJEXT)
am__objects_49 = sfcapd-collector.$(OBJEXT)
am__objects_50 = sfcapd-bookkeeper.$(OBJEXT)
am__objects_51 = sfcapd-expire.$(OBJEXT)
#am__objects_52 = sfcapd-pcap_reader.$(OBJEXT)
am_sfcapd_OBJECTS = sfcapd-sfcapd.$(OBJEXT) sfcapd-sflow.$(OBJEXT) \
	$(am__objects_42) $(am__objects_43) $(am__objects_44) \
	$(am__objects_45) $(am__objects_46) $(am__objects_47) \
	$(am__objects_48) $(am__objects_49) $(am__objects_50) \
	$(am__objects_51) $(am__objects_52)
sfcapd_OBJECTS = $(am_sfcapd_OBJECTS)
sfcapd_DEPENDENCIES =
sfcapd_LINK = $(CCLD) $(sfcapd_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
YLWRAP = $(top_srcdir)/ylwrap
am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
		   -e s/c++$$/h++/ -e s/c$$/h/
YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
SOURCES = $(ft2nfdump_SOURCES) $(nfanon_SOURCES) $(nfcapd_SOURCES) \
	$(nfdump_SOURCES) $(nfexpire_SOURCES) $(nfgen_SOURCES) \
	$(nfprofile_SOURCES) $(nfreader_SOURCES) $(nfreplay_SOURCES) \
	$(nftest_SOURCES) $(nftrack_SOURCES) $(sfcapd_SOURCES)
DIST_SOURCES = $(am__ft2nfdump_SOURCES_DIST) $(nfanon_SOURCES) \
	$(am__nfcapd_SOURCES_DIST) $(nfdump_SOURCES) \
	$(nfexpire_SOURCES) $(nfgen_SOURCES) $(nfprofile_SOURCES) \
	$(nfreader_SOURCES) $(nfreplay_SOURCES) $(nftest_SOURCES) \
	$(nftrack_SOURCES) $(am__sfcapd_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
ETAGS = etags
CTAGS = ctags
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = $(am__tty_colors_dummy)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run aclocal-1.12
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run autoconf
AUTOHEADER = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/peter/Development/NFtools/exports/nfdump-1.6.8p1/missing --run automake-1.12
AWK = awk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -Wall -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wmissing-noreturn -fno-strict-aliasing
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo

## nfdump 1.6.3p1

=== debian/changelog ===
nfdump (1.6.3p1-1) unstable; urgency=low

  * [ce336481] Imported Upstream version 1.6.3p1

 -- Erik Wenzel <erik@debian.org>  Mon, 21 Mar 2011 11:41:03 +0100

nfdump (1.6.3-1) unstable; urgency=low

  * [ffa738b6] Imported Upstream version 1.6.3
  * [3f91561c] [debian/watch] changed url to see all upstream tars.
  * [47dfd252] [man_nfanon] added man page for nfanon

 -- Erik Wenzel <erik@debian.org>  Mon, 21 Mar 2011 11:16:14 +0100

=== debian/control ===
Source: nfdump
Section: net
Priority: optional
Maintainer: Erik Wenzel <erik@debian.org>
Homepage: http://nfdump.sourceforge.net/
Vcs-Git: git://gpl.code.de/git/nfdump.git
Vcs-Browser: http://gpl.code.de/gitweb?p=nfdump.git;a=summary
Standards-Version: 3.9.1
Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40)

Package: nfdump
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Description: netflow capture daemon
 Collects and processes netflow data with command line tools. Collected netflow
 data is stored in filesystem and is limited by available storage space only.
 Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7 and
 v9 flows transparently. You need one nfcapd process for each netflow stream.
 Optional support for sFlow and flow-tools to nfdump conversion utilities are 
 available but needs re-compiliation.
Tag: admin::accounting, implemented-in::c, interface::commandline, interface::daemon, network::routing, network::scanner, network::server, protocol::TODO, protocol::ip, protocol::ipv6, protocol::tcp, protocol::udp, role::program, use::analysing, use::checking, use::filtering, use::monitor, use::viewing

Package: nfdump-dbg
Section: debug
Priority: extra
Architecture: any
Depends: nfdump (= ${binary:Version}), ${misc:Depends}, lsb-base (>= 3.0-6)
Description: netflow capture daemon tools compiled with debugging symbols
 Collects and processes netflow data with command line tools. Collected netflow
 data is stored in filesystem and is limited by available storage space only.
 Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7 and
 v9 flows transparently. You need one nfcapd process for each netflow stream.
 Optional support for sFlow and flow-tools to nfdump conversion utilities are
 available but needs re-compiliation.

=== debian/rules ===
--- 
+++ 
@@ -39,20 +39,28 @@
 # this is temporarily needed because of a cdbs issue
 #unpatch: deapply-dpatches
 
-# I store every patch in a seperate branch and use refresh-patches to generate
-# patches used by debian package. THIS IS JUST A TEMPLATE STOLEN from
-# tokyocabinet package.
-refresh-patches: 
-	@dh_testdir
-	@echo 'refreshing debian/patches:'
-	@rm -rf '$(CURDIR)'/debian/patches
-	@mkdir -p '$(CURDIR)'/debian/patches
-	cd '$(CURDIR)'/debian/patches && \
-	for each in `cat ../git-active-patches | egrep -v '^#|^ *$$' | sort` ; do \
-		git diff upstream..upstream-patches/`echo $$each | cut -d_ -f2-` > $$each.patch; \
-	done
-	@echo .
+## patch system quilt ist debian standard
+#build: build-stamp
+#build-stamp: $(QUILT_STAMPFN)
+#	dh_testdir
 #
+#clean: unpatch
+#	dh_clean build-stamp
+
+## I store every patch in a seperate branch and use refresh-patches to generate
+## patches used by debian package. THIS IS JUST A TEMPLATE STOLEN from
+## tokyocabinet package.
+#refresh-patches: 
+#	@dh_testdir
+#	@echo 'refreshing debian/patches:'
+#	@rm -rf '$(CURDIR)'/debian/patches
+#	@mkdir -p '$(CURDIR)'/debian/patches
+#	cd '$(CURDIR)'/debian/patches && \
+#	for each in `cat ../git-active-patches | egrep -v '^#|^ *$$' | sort` ; do \
+#		git diff upstream..upstream-patches/`echo $$each | cut -d_ -f2-` > $$each.patch; \
+#	done
+#	@echo .
+##
 #patch: patch-stamp 
 #patch-stamp:
 #	dh_testdir

## nfdump 1.6.5

=== debian/changelog ===
nfdump (1.6.5-1) unstable; urgency=low

  * [7ad3f1b3] Imported Upstream version 1.6.5

 -- Erik Wenzel <erik@debian.org>  Thu, 02 Feb 2012 23:20:53 +0100

nfdump (1.6.4-1) unstable; urgency=low

  * [43f0a2ce] Imported Upstream version 1.6.4
  * [210848d3] removed man_nfanon.patch. fixed in upstream.
  * [c3481ca7] [control] bumped standards version. nothing changed
  * [7be59972] nfdump-flow-tools package for optional import
  Closes: #642233
  * [e32621cf] nfdump-sflow package on user request
  Thanks: Vincent Bruijnes <vincent@bruijn.es>
  * [2430c536] added nfdump.{install,manpages} to keep out files that are
  in optional packages

 -- Erik Wenzel <erik@debian.org>  Fri, 14 Oct 2011 23:59:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Homepage: http://nfdump.sourceforge.net/
 Vcs-Git: git://gpl.code.de/git/nfdump.git
 Vcs-Browser: http://gpl.code.de/gitweb?p=nfdump.git;a=summary
-Standards-Version: 3.9.1
-Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40)
+Standards-Version: 3.9.2
+Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40), flow-tools-dev
 
 Package: nfdump
 Architecture: any
@@ -16,8 +16,6 @@
  data is stored in filesystem and is limited by available storage space only.
  Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7 and
  v9 flows transparently. You need one nfcapd process for each netflow stream.
- Optional support for sFlow and flow-tools to nfdump conversion utilities are 
- available but needs re-compiliation.
 Tag: admin::accounting, implemented-in::c, interface::commandline, interface::daemon, network::routing, network::scanner, network::server, protocol::TODO, protocol::ip, protocol::ipv6, protocol::tcp, protocol::udp, role::program, use::analysing, use::checking, use::filtering, use::monitor, use::viewing
 
 Package: nfdump-dbg
@@ -32,3 +30,19 @@
  v9 flows transparently. You need one nfcapd process for each netflow stream.
  Optional support for sFlow and flow-tools to nfdump conversion utilities are
  available but needs re-compiliation.
+
+Package: nfdump-flow-tools
+Section: net
+Priority: extra
+Architecture: any
+Depends: nfdump (= ${binary:Version}), flow-tools, ${shlibs:Depends}, ${misc:Depends}
+Description: import from flow-tools
+ Imports flows generated by flow-tools to nfdump format.
+
+Package: nfdump-sflow
+Section: net
+Priority: extra
+Architecture: any
+Depends: nfdump (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: sflow collector daemon
+ sfcapd collects sflow data and stores it into nfcapd comaptible files.

## nfdump 1.6.6

=== debian/changelog ===
nfdump (1.6.6-1) unstable; urgency=low

  * [372bdb93] Imported Upstream version 1.6.6
  * [524520d9] [control] bumped standards version nothing changed

 -- Erik Wenzel <erik@debian.org>  Tue, 13 Mar 2012 22:48:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://nfdump.sourceforge.net/
 Vcs-Git: git://gpl.code.de/git/nfdump.git
 Vcs-Browser: http://gpl.code.de/gitweb?p=nfdump.git;a=summary
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40), flow-tools-dev
 
 Package: nfdump

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/makefile.mk

# Enable extra configure flags

# Enable compatability mode
DEB_CONFIGURE_EXTRA_FLAGS +=--enable-compat15 --enable-nfprofile --enable-ftconv --with-ftpath=/usr --enable-sflow

# Build nfdump with nfprofile for nfsen
# --enable-nfprofile

# Build ft2nfdump converter. The flow-tools 
# sources are required to build ft2nfdump.
# --enable-ftconv 
# --with-ftpath[=flow-tools sources]
 
# When using SUNWspro CC on Solaris, you may 
# compile 64 bit code. 
# --enable-64
#
# Build sflow collector daemon.
# --enable-sflow

# define clean taget
DEB_MAKE_CLEAN_TARGET = distclean

# That will avoid passing CFLAGS
DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make -C $(DEB_BUILDDIR)

=== debian/watch ===
version=3
http://sf.net/nfdump/nfdump-([\d.]+)[[:alnum:]]*\.tar\.gz debian uupdate

## nfdump 1.6.8p1

=== debian/changelog ===
nfdump (1.6.8p1-1) unstable; urgency=low

  * [c45b1b67] [control] fixed typo in description of nfdump-sfcap
  Thanks: Timo Juhani Lindfors <timo.lindfors@iki.fi>
  * [67adcbfc] [control] added ipfix to description
  * [83c52dbd] [watch] include "p1" release in upstream search regex
  * [01818c50] Imported Upstream version 1.6.8p1

 -- Erik Wenzel <erik@debian.org>  Fri, 15 Feb 2013 16:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
 Description: netflow capture daemon
  Collects and processes netflow data with command line tools. Collected netflow
  data is stored in filesystem and is limited by available storage space only.
- Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7 and
- v9 flows transparently. You need one nfcapd process for each netflow stream.
+ Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7, v9
+ and IPFIX flows transparently. You need one nfcapd process for each netflow
+ stream.
 Tag: admin::accounting, implemented-in::c, interface::commandline, interface::daemon, network::routing, network::scanner, network::server, protocol::TODO, protocol::ip, protocol::ipv6, protocol::tcp, protocol::udp, role::program, use::analysing, use::checking, use::filtering, use::monitor, use::viewing
 
 Package: nfdump-dbg
@@ -26,10 +27,10 @@
 Description: netflow capture daemon tools compiled with debugging symbols
  Collects and processes netflow data with command line tools. Collected netflow
  data is stored in filesystem and is limited by available storage space only.
- Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7 and
- v9 flows transparently. You need one nfcapd process for each netflow stream.
- Optional support for sFlow and flow-tools to nfdump conversion utilities are
- available but needs re-compiliation.
+ Tools are optimized for speed and filtering. nfcapd reads netflow v5, v7, v9
+ and IPFIX flows transparently. You need one nfcapd process for each netflow
+ stream. Optional support for sFlow and flow-tools to nfdump conversion
+ utilities are available but needs re-compiliation.
 
 Package: nfdump-flow-tools
 Section: net
@@ -45,4 +46,4 @@
 Architecture: any
 Depends: nfdump (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: sflow collector daemon
- sfcapd collects sflow data and stores it into nfcapd comaptible files.
+ sfcapd collects sflow data and stores it into nfcapd compatible files.

## nfdump 1.6.12

=== debian/changelog ===
nfdump (1.6.12-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-dependency to libz-dev (Closes: #799994)
  * Build-depend on dh-systemd to include systemd support lost in 1.6.12-0.1
  * Bump compat level to 6, fixing postrm ordering issues with systemd
    (Closes: #767827)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 09 Nov 2015 22:11:08 +0100

nfdump (1.6.12-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing build dependency on autoconf in debian/control
    to fix FTBFS on all architectures (Closes: #766493).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 17 Dec 2014 00:36:41 +0100

nfdump (1.6.12-0) unstable; urgency=medium

  * Non maintainer upload
  * New upstream release with many critical fixes (Closes: #754782, #736531)
  * Add services/unit file

 -- Jaakko Niemi <liiwi@debian.org>  Tue, 21 Oct 2014 18:16:49 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: git://gpl.code.de/git/nfdump.git
 Vcs-Browser: http://gpl.code.de/gitweb?p=nfdump.git;a=summary
 Standards-Version: 3.9.3
-Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40), flow-tools-dev
+Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40), flow-tools-dev, autoconf, libz-dev, dh-systemd
 
 Package: nfdump
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/nfdump/nfdump-([\d.]+[[:alnum:]]*)\.tar\.gz debian uupdate

## nfdump 1.6.15

=== debian/changelog ===
nfdump (1.6.15-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [5dbf7acb] adjust gbp.conf for jessie-backports

 -- Bernhard Schmidt <berni@debian.org>  Sun, 09 Oct 2016 19:00:37 +0200

nfdump (1.6.15-3) unstable; urgency=medium

  * [90aed0e8] Fix FTBFS on all arches except amd64

 -- Bernhard Schmidt <berni@debian.org>  Mon, 03 Oct 2016 19:41:12 +0200

nfdump (1.6.15-2) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * [e53183f3] add minimal gbp.conf
  * [afadffe4] Switch to debhelper sequencer (compat level 9)
  * [0e37b935] Set Vcs-* to collab-maint
  * [2dac084a] Install from debian/tmp, use dh_install --fail-missing
  * [2495c86d] Enable all hardening (PIE and BINDNOW)
  * [dab51f7d] Enable nftrack (Closes: #670630)

  [ Erik Wenzel ]
  * [5b06e993] add patch/10_manpage-macro to fix lintian warning

 -- Bernhard Schmidt <berni@debian.org>  Mon, 03 Oct 2016 14:07:49 +0200

nfdump (1.6.15-1) unstable; urgency=medium

  * [9af4d57a] update Vcs fields
  * [1d1c0ff6] bump standards-version to 3.9.8
  * [72cdd78a] add Bernhard Schmidt to uploader field

 -- Erik Wenzel <erik@debian.org>  Sat, 24 Sep 2016 17:59:53 +0200

nfdump (1.6.15-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.6.15 (Closes: #819217)
    - add libbz2-dev build-dep
    - disable building of shared library to minimise packaging changes
  * Update debian/watch to point to Github repo

 -- Bernhard Schmidt <berni@debian.org>  Fri, 09 Sep 2016 19:53:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Erik Wenzel <erik@debian.org>
+Uploaders: Bernhard Schmidt <berni@debian.org>
 Homepage: http://nfdump.sourceforge.net/
-Vcs-Git: git://gpl.code.de/git/nfdump.git
-Vcs-Browser: http://gpl.code.de/gitweb?p=nfdump.git;a=summary
-Standards-Version: 3.9.3
-Build-Depends: cdbs (>= 0.4.25), bison, flex, debhelper (>= 5.0), librrd-dev, quilt (>= 0.40), flow-tools-dev, autoconf, libz-dev, dh-systemd
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nfdump.git/ -b unstable
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nfdump.git/
+Standards-Version: 3.9.8
+Build-Depends: bison, flex, debhelper (>= 9.0), librrd-dev, flow-tools-dev, autoconf, libz-dev, libbz2-dev, dh-systemd
 
 Package: nfdump
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with systemd

# Build nfdump with nfprofile for nfsen
# --enable-nfprofile

# Build ft2nfdump converter. The flow-tools 
# sources are required to build ft2nfdump.
# --enable-ftconv 
# --with-ftpath[=flow-tools sources]
#
# Build sflow collector daemon.
# --enable-sflow

override_dh_auto_configure:
	dh_auto_configure -- --enable-compat15 \
		--enable-nfprofile \
		--enable-ftconv --with-ftpath=/usr \
		--enable-nftrack \
		--enable-sflow \
		--enable-shared=no

# Disable test suite, has not run before and seems to be broken
override_dh_auto_test:

# Disable automatic dbgsym generation for now and keep manual -dbg
override_dh_strip:
	dh_strip --dbg-package=nfdump-dbg

override_dh_install:
	rm -f debian/tmp/usr/lib/*/libnfdump.a
	rm -f debian/tmp/usr/lib/*/libnfdump.la
	dh_install --fail-missing
